#ifndef __AMSCLIL1_H__
#define __AMSCLIL1_H__

// Aaron M. Schinder
// Jan 2021
//
// C Large Integer Library 1

/////////////////////////////
//Standard Library Includes//
/////////////////////////////

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <stdint.h>
#include <time.h>
#include <string.h>

//Other Libraries//

#include <amscutil1/amscutil1.h>

///////////////////////
// Component Headers //
///////////////////////

static int amsclil1_verbose = 0;

#include <amsclil1/amsclil1_operations.h>
#include <amsclil1/amsclil1_fbops.h>

#include <amsclil1/amsclil1_tests.h>


#include <amsclil1/amsclil1_ulint.h>

#include <amsclil1/amsclil1_hash.h>
#include <amsclil1/amsclil1_gutmannprng.h>


#endif